curl --request POST \
--url https://api.swarmd.ai/registry/v1/channels/{channelId}/subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sinkAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'{
"subscriptionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sinkAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sinkAgentName": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}Security Requirements
| Auth Types | Entities | Permissions | Required Roles |
|---|---|---|---|
| USER | CHANNELS | WRITE | CHANNELS:WRITE |
curl --request POST \
--url https://api.swarmd.ai/registry/v1/channels/{channelId}/subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sinkAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'{
"subscriptionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sinkAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sinkAgentName": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}JWT token (USER, AGENT, or SERVICE auth)